# Poco::Net

# class HTTPHeaderIOS

Library: Net
Package: HTTP
Header: Poco/Net/HTTPHeaderStream.h

## Description

The base class for HTTPHeaderInputStream.

## Inheritance

Direct Base Classes: std::ios

All Base Classes: std::ios

Known Derived Classes: HTTPHeaderInputStream, HTTPHeaderOutputStream

## Member Summary

Member Functions: rdbuf

## Constructors

### HTTPHeaderIOS

HTTPHeaderIOS(
HTTPSession & session,
HTTPHeaderStreamBuf::openmode mode
);

## Destructor

### ~HTTPHeaderIOS

~HTTPHeaderIOS();

## Member Functions

### rdbuf

HTTPHeaderStreamBuf * rdbuf();

## Variables

### _buf

HTTPHeaderStreamBuf _buf;